要迁移到 Workspace ONE Access Connector 21.08,您必须遵循这些要求。

  • 您需要一个或多个 Windows Server 来安装 21.08 Connector。可以将目录同步、用户身份验证、Kerberos 身份验证和虚拟应用程序服务一起安装在一个服务器上,也可以将它们单独安装在不同的服务器上。有关要求,请参阅《安装 Workspace ONE Access Connector 21.08》指南。

    您可以在新的服务器上或旧版 19.03.x Connector 服务器上安装 21.08 Connector。但是,如果在旧版连接器上配置了 Kerberos 身份验证,必须使用单独的 Windows Server 来安装 21.08 Kerberos 身份验证服务。请勿在 19.03.x Connector 服务器上安装新的 Kerberos 身份验证服务。Workspace ONE Access 不支持在同一服务器上使用 Kerberos 的多个实例。

    如果您计划在新的 Windows 服务器上安装 21.08 Connector,请参阅《安装 Workspace ONE Access Connector 21.08》指南。如果您计划在 19.03.x Connector 服务器上安装 21.08 Connector,请参阅《迁移到运行 Workspace ONE Access 19.03.x 的 Windows 服务器上的最新连接器》

  • 如果现有的安装包括 Citrix 虚拟应用程序,在安装虚拟应用程序服务时,请确保遵循《安装 Workspace ONE Access Connector 21.08》指南中所述的 Citrix 集成要求和先决条件。这些要求和先决条件包括:
    • 连接器服务器必须加入了目录域。
    • 您必须指定一个用于运行虚拟应用程序服务的域用户帐户。该域用户还必须是能够加载 Citrix PSSnapin 的 Citrix 服务器只读管理员。
    • 您必须在连接器服务器上安装 Citrix Studio。Citrix Studio 包括 Citrix PowerShell SDK,这是 Citrix 和 Workspace ONE Access 之间的集成所必需的。Citrix Studio版本必须与 Citrix 部署版本兼容。
  • 在迁移过程中,您将在使用旧连接器和新连接器之间进行切换以测试迁移。在迁移过程中,19.03.x 旧版连接器服务器必须处于运行状态。迁移完成之前,请勿卸载 19.03.x Connector。
  • 您的租户中的所有现有连接器都必须为版本 19.03.x。如果您有任何旧版连接器,请先将其升级到 19.03.x
  • 如果您具有 Workspace ONE Access 服务的内部部署实例,请先将该服务升级到版本 21.08,然后再迁移到 21.08 Connector。
  • 在迁移期间,您必须将租户中的所有目录和支持的虚拟应用程序集合迁移到 21.08 Connector。您无法选择迁移一部分目录或虚拟应用程序,也无法选择仅迁移目录或仅迁移虚拟应用程序。
  • 如果要安装用户身份验证服务,安装了用户身份验证服务的所有连接器必须是版本 21.08。您不能在环境中混用 20.x 和 21.08 用户身份验证服务节点。
  • 迁移后,您只能使用新的 21.08 Connector。您不能在环境中混用 19.03.x Connector 和 21.08 Connector。
  • Workspace ONE Access Connector 21.08 支持以下类型的代理:
    • 未经身份验证的 HTTP 代理
    • 未经身份验证的 HTTPS (SSL) 代理
    • 经过身份验证的 HTTPS (SSL) 代理

迁移到运行 Workspace ONE Access Connector 19.03.x 的 Windows 服务器上的最新连接器

当您无法获得新的 Windows Server 以迁移到 Workspace ONE Access Connector 21.08 时,可以在运行 Workspace ONE Access 19.03.x Connector 的 Windows Server 上安装 21.08 Connector。然后,您可以迁移旧版连接器。

小心: 如果在旧版连接器上配置了 Kerberos 身份验证,必须使用单独的 Windows Server 来安装 21.08 Kerberos 身份验证服务。请勿在 19.03. x Connector 服务器上安装新的 Kerberos 身份验证服务。 Workspace ONE Access 不支持在同一服务器上使用 Kerberos 的多个实例。

如果您使用安装了 19.03.x Connector 的现有 Windows 服务器,请确保遵循以下准则:

  • 在安装 21.08 Connector 之前,您必须增加服务器上的 CPU 和内存。在迁移完成之前,将运行两个版本的连接器。

    您必须增加 CPU 和内存以满足 19.03.x 和 21.08 Connector 的需求。请参阅《安装 VMware Workspace ONE Access Connector 21.08》中的 21.08 大小调整准则

  • 重要信息:在运行 21.08 Connector 安装程序之前,拍摄计算机的快照。在安装 21.08 Connector 时,在安装过程结束时,您可能会收到重新启动连接器主机的提示。请勿重新启动主机。如果这样做,迁移过程将会失败,并且 19.03.x Connector 将无法使用。在整个迁移过程完成之前,不要重新启动计算机,这一点至关重要。在成功完成迁移后,您可以安全地重新启动计算机。
  • 在整个迁移过程完成之前,不要停止或卸载 19.03.x Connector。

迁移完成后,您可以停止 19.03.x Connector 并将其卸载。